 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.about;

import java.awt.event.ActionEvent;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import name.mgplldz.guimy.ctrls.MsgBox;
import name.mgplldz.guimy.listeners.MenuActList;
import name.mgplldz.oood.gui.GUI;
import name.mgplldz.oood.gui.menu.about.lang.EnUsMAbout;
import name.mgplldz.oood.gui.menu.about.lang.LngMAbout;
import name.mgplldz.tracemystack.TraceMyStack;

public class ListMenuAct extends MenuActList {

    private final GUI gui;
    private final int DBG_LEV = 3;

    public ListMenuAct(GUI g) {
        gui = g;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        JMenuItem mIt = (JMenuItem) e.getSource();
        TraceMyStack.print(Thread.currentThread().getStackTrace(), mIt.getName(),
                DBG_LEV);
        ItAbout mEn = ItAbout.valueOf(mIt.getName());
        switch (mEn) {
            case IT_ABOUT:
                MsgBox.msgPlainTh(LngMAbout.text(EnUsMAbout.MSG_ABOUT.name()),
                        gui.frame.frm, JOptionPane.PLAIN_MESSAGE);
                break;
            default:
                break;
        }
    }
}
