 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.about;

import name.mgplldz.oood.gui.menu.about.lang.*;
import name.mgplldz.guimy.ctrls.*;
import name.mgplldz.oood.gui.GUI;

public class MAbout {

    private final GUI gui;
    public final MenuMy menu;
    public final MenuItMy itAbout;
    private final ListMenuAct menuActList;

    public MAbout(GUI g) {
        gui = g;
        menu = new MenuMy(LngMAbout.text(EnUsMAbout.M_ABOUT.name()),
                ItAbout.M_ABOUT.name(), gui.getFnt());
        itAbout = new MenuItMy(ItAbout.IT_ABOUT.name(),
                LngMAbout.text(EnUsMAbout.IT_ABOUT.name()),
                gui.getFnt(), menu);
        menuActList = new ListMenuAct(gui);
    }

    public final void addListeners() {
        itAbout.addActionListener(menuActList);
    }
}
