 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.image.lang;

public enum EnUsMImage {

    M_IMAGE("Image"),
    IT_IMG_LOAD("Load"),
    IT_IMG_CLIPBOARD("From clipboard"),
    IT_IMG_RELOAD("Reload"),
    IT_IMG_SAVE("Save"),
    MSG_IMAGE_SAVED("Image saved as:"),
    MSG_IMG_EXISTS("Image exists."
    + "\n" + " Overwrite it?");
    private String txt;

    EnUsMImage(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
