 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.interp.lang;

public enum EnUsMInterp {

    M_INTERP("Interpolation"),
    IT_INTEPOLATE("Interpolate"),
    IT_MORE_PTS("More points"),
    IT_MERGE_PTS("Merge"),
    IT_DISCARD_PTS("Discard"),
    MSG_NO_POINTS_ADDED_INTERP("Due to X duplicates no new points were added."),
    MSG_INTERP_AT_LEAST_3_PTS("Create at least 3 points."),
    MSG_DELETE_DUPLICATES("Delete X duplicates to interpolate.\n"
    + "[Series -> Delete X duplicates]"),
    MSG_MORE_PTS("More points:");
    private String txt;

    EnUsMInterp(String t) {
        txt = t;
    }

    String txt() {
        return txt;
    }
}
