 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.series.lang;

public enum EnUsMSeries {

    M_SERIES("Series"),
    IT_DEL_ALL_SERIES("Delete all"),
    IT_X_NAME_CARTES("Change X name"),
    IT_Y_NAME_CARTES("Chagne Y name"),
    IT_X_NAME_ALL_CARTES("Change X name (all series)"),
    IT_Y_NAME_ALL_CARTES("Change Y name (all series)"),
    IT_X_NAME_POLAR("Change Length name"),
    IT_Y_NAME_POLAR("Chagne Degrees name"),
    IT_X_NAME_ALL_POLAR("Change Length name (all series)"),
    IT_Y_NAME_ALL_POLAR("Change Degrees name (all series)"),
    IT_ADD_SERIES("Add"),
    IT_RENAME_SERIES("Rename"),
    IT_DEL_SERIES("Delete"),
    IT_DELETE_DUPLICATES("Delete X duplicates"),
    IT_SAVE_SERIES_CSV("Save as CSV"),
    RB_SAVE_SERIES_ONE_COL_CSV("One file, the same column"),
    RB_SAVE_SERIES_MULTI_COL_CSV("One file, different columns"),
    RB_SAVE_SERIES_ONE_FILE_PER_SERIES_CSV("One file per series"),
    IT_SAVE_SERIES_OFFICE("Save in Calc"),
    RB_SAVE_SERIES_ONE_SHEET("One sheet"),
    RB_SAVE_SERIES_ONE_SHEET_PER_SERIES("One sheet per series"),
    MSG_DEL_SERIES("Delete series?"),
    MSG_DEL_ALL_SERIES("Delete all series?"),
    MSG_SERIES_NAME_EMPTY("Name can't be empty or can't start/end with spaces."),
    MSG_SERIES_NAME_EXISTS("Name exists:"),
    MSG_ALL_SERIES_WILL_BE_DELETED("All series will be deleted."
    + "\n" + "Continue?"),
    MSG_NEW_SERIES_NAME("Series name:"),
    MSG_X_NAME("X name:"),
    MSG_Y_NAME("Y name:"),
    MSG_DELETE_DUPLICATES_ASK("Delete X duplicates?"),
    MSG_NOTHING_TO_SAVE("Nothing to save.");
    private String txt;

    EnUsMSeries(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
