 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.series.lang;

public enum FrFrMSeries {

    M_SERIES("Séries"),
    IT_DEL_ALL_SERIES("Supprimer toutes"),
    IT_X_NAME_CARTES("Changer nom X"),
    IT_Y_NAME_CARTES("Changer nom Y"),
    IT_X_NAME_ALL_CARTES("Changer nom X (toutes séries)"),
    IT_Y_NAME_ALL_CARTES("Changer nom Y (toutes séries)"),
    IT_X_NAME_POLAR("Changer nom rayon"),
    IT_Y_NAME_POLAR("Changer nom angle"),
    IT_X_NAME_ALL_POLAR("Changer nom rayon (toutes séries)"),
    IT_Y_NAME_ALL_POLAR("Changer nom angle (toutes séries)"),
    IT_ADD_SERIES("Ajouter"),
    IT_RENAME_SERIES("Renommer"),
    IT_DEL_SERIES("Supprimer"),
    IT_DELETE_DUPLICATES("Supprimer les X dupliqués"),
    IT_SAVE_SERIES_CSV("Enregistrer comme CSV"),
    RB_SAVE_SERIES_ONE_COL_CSV("Un fichier, même colonne"),
    RB_SAVE_SERIES_MULTI_COL_CSV("Un fichier, différentes colonnes"),
    RB_SAVE_SERIES_ONE_FILE_PER_SERIES_CSV("Un fichier par série"),
    IT_SAVE_SERIES_OFFICE("Enregistrer dans Calc"),
    RB_SAVE_SERIES_ONE_SHEET("Une feuille"),
    RB_SAVE_SERIES_ONE_SHEET_PER_SERIES("Une feuille par série"),
    MSG_DEL_SERIES("Supprimer la série ?"),
    MSG_DEL_ALL_SERIES("Supprimer toutes les séries ?"),
    MSG_SERIES_NAME_EMPTY("Le nom ne peut pas être vide ou ne peut finir/commencer par une espace."),
    MSG_SERIES_NAME_EXISTS("Le nom existe :"),
    MSG_ALL_SERIES_WILL_BE_DELETED("Toutes les séries vont être supprimées."
    + "\n" + "Poursuivre ?"),
    MSG_NEW_SERIES_NAME("Nom de la série :"),
    MSG_X_NAME("Nom X :"),
    MSG_Y_NAME("Nom Y :"),
    MSG_DELETE_DUPLICATES_ASK("Supprimer les X dupliqués ?"),
    MSG_NOTHING_TO_SAVE("Rien à enregistrer.");
    private String txt;

    FrFrMSeries(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
