 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.series.lang;

public enum PlPlMSeries {

    M_SERIES("Serie"),
    IT_DEL_ALL_SERIES("Usuń wszystkie"),
    IT_X_NAME_CARTES("Zmień nazwę X"),
    IT_Y_NAME_CARTES("Zmień nazwę Y"),
    IT_X_NAME_ALL_CARTES("Zmień nazwę X (wszystkie serie)"),
    IT_Y_NAME_ALL_CARTES("Zmień nazwę Y (wszystkie serie)"),
    IT_X_NAME_POLAR("Zmień nazwę Długości"),
    IT_Y_NAME_POLAR("Zmień nazwę Stopni"),
    IT_X_NAME_ALL_POLAR("Zmień nazwę Długości (wszystkie serie)"),
    IT_Y_NAME_ALL_POLAR("Zmień nazwę Stopni (wszystkie serie)"),
    IT_ADD_SERIES("Dodaj"),
    IT_RENAME_SERIES("Zmień nazwę"),
    IT_DEL_SERIES("Usuń"),
    IT_DELETE_DUPLICATES("Usuń powtórzenia X"),
    IT_SAVE_SERIES_CSV("Zapisz jako CSV"),
    RB_SAVE_SERIES_ONE_COL_CSV("Jeden plik, ta sama kolumna"),
    RB_SAVE_SERIES_MULTI_COL_CSV("Jeden plik, różne kolumny"),
    RB_SAVE_SERIES_ONE_FILE_PER_SERIES_CSV("Jeden plik na serię"),
    IT_SAVE_SERIES_OFFICE("Zapisz w Calcu"),
    RB_SAVE_SERIES_ONE_SHEET("Jeden arkusz"),
    RB_SAVE_SERIES_ONE_SHEET_PER_SERIES("Jeden arkusz na serię"),
    MSG_DEL_SERIES("Usunąć serię?"),
    MSG_DEL_ALL_SERIES("Usunąć wszystkie serie?"),
    MSG_SERIES_NAME_EMPTY("Nazwa nie może być pusta lub zaczynać/kończyć się spacjami."),
    MSG_SERIES_NAME_EXISTS("Nazwa istnieje:"),
    MSG_ALL_SERIES_WILL_BE_DELETED("Wszystkie serie zostaną usunięte."
    + "\n" + "Kontynuować?"),
    MSG_NEW_SERIES_NAME("Nazwa serii:"),
    MSG_X_NAME("Nazwa X:"),
    MSG_Y_NAME("Nazwa Y:"),
    MSG_DELETE_DUPLICATES_ASK("Usunąć powtórzenia X?"),
    MSG_NOTHING_TO_SAVE("Nie ma nic do zapisania.");
    private String txt;

    PlPlMSeries(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
