 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.settings.lang;

public enum EnUsMSettings {

    M_SETTINGS("Settings"),
    IT_WIDTH_SCALE("Scale GUI width"),
    IT_HEIGHT_SCALE("Scale GUI height"),
    IT_FONT_SIZE("Font size"),
    CHK_ALWAYS_ON_TOP("Always on top"),
    CHK_TOOL_TIPS("Tool-Tips"),
    MSG_FONT_SIZE("Font size:"),
    MSG_WIDTH_SCALE("Width scale:"),
    MSG_HEIGHT_SCALE("Height scale:"),
    MSG_RESTART("Restart to apply changes."),
    MSG_CREATED_CONFG_FILE("Created config file:"),
    MSG_CANT_WRITE_CONFI_FILE("Can't write config file:"),
    MSG_CANT_READ_CONFIG_FILE("Can't read config file:");
    private String txt;

    EnUsMSettings(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
