 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.digit;

import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import name.mgplldz.oood.gui.GUI;

public class ListTableSelectTDigit implements ListSelectionListener {

    private final GUI gui;

    public ListTableSelectTDigit(GUI g) {
        gui = g;
    }

    public void valueChanged(ListSelectionEvent e) {
        if (!e.getValueIsAdjusting()) {
            /*TraceMyStack.print(Thread.currentThread().getStackTrace(),
            e.getFirstIndex() + "<->" + e.getLastIndex());*/
            gui.frame.tabPane.tImage.imgPan.setSelPointIdx(
                    gui.frame.tabPane.tDigit.table.getSelectedRow());
            gui.frame.tabPane.tDigit.txtPtsNb.setValue(
                    (gui.frame.tabPane.tImage.imgPan.getSelPointIdx() + 1)
                    + "/"
                    + gui.frame.tabPane.tImage.imgPan.getSeriesBox().getPointsCount(
                    gui.frame.tabPane.tImage.imgPan.getSelectedSerieIdx()));
        }
    }
}
