 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.digit.lang;

public enum PlPlTDigit {

    T_DIGIT("Digitizuj"),
    BRD_POINTS("Punkty"),
    LAB_SERIES("Serie"),
    LAB_POINT("Punkt"),
    TABLE_LAB_X("X"),
    TABLE_LAB_Y("Y"),
    TABLE_LAB_LENGTH("Długość"),
    TABLE_LAB_DEGREES("Stopnie"),
    BUT_NEXT_PT("▼"),
    BUT_PREV_PT("▲"),
    TIP_NEXT_PREV_BUTTONS("Klawiatura");
    private String txt;

    PlPlTDigit(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
