 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image.lang;

public enum FrFrTImage {

    T_IMAGE("Image"),
    BRD_IMG("Image"),
    BRD_SIZE_ROTAT("Taille et rotation"),
    BRD_PDF("Pages PDF"),
    BRD_TUNE_POINT("Affinage du point"),
    BUT_FIT_IMG("Ajuster"),
    BUT_ORIG_SIZE_IMG("Original"),
    BUT_PDF_PG_NEXT("►"),
    BUT_PDF_PG_PREV("◄"),
    BUT_CROP_IMAGE("Rogner"),
    BUT_DEL("Suppr."),
    RB_CROP_IMAGE_P1("P1"),
    RB_CROP_IMAGE_P2("P2"),
    CHK_ROTATE_IMG("Rotation"),
    CHK_SCALE_IMG("Échelle"),
    TXT_IMG_NAME("Nom de l'image"),
    MSG_IMG_DEGREES("Angle de rotation, degrés :"),
    MSG_IMG_SCALE("Échelle de l'image :"),
    MSG_PDF_PAGE_NUMBER("Numéro de page PDF :"),
    MSG_CHOOSE_SMALLER_SCALE("Choisissez une échelle plus petite."),
    MSG_CREATE_FIRST_SERIES("Créez d'abord une série [Séries -> Ajouter]"),
    MSG_INTERPOLATION_MERGE_DISCARD("Terminez l'interpolation [Interpolation -> Fusionner/Annuler]"),
    MSG_SELECTION_OUTSIDE_IMAGE("La sélection doit être à l'intérieur de l'image."),
    TIP_T_IMG_FULL_PATH("Chemin complet de l'image"),
    TIP_TUNE_BUTTONS("Clavier");
    private String txt;

    FrFrTImage(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
