 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image.lang;

public enum PlPlTImage {

    T_IMAGE("Rysunek"),
    BRD_IMG("Rysunek"),
    BRD_SIZE_ROTAT("Skala i obrót"),
    BRD_PDF("Strony PDF"),
    BRD_TUNE_POINT("Przesuń punkt"),
    BUT_FIT_IMG("Dopasuj"),
    BUT_ORIG_SIZE_IMG("Oryginalny"),
    BUT_PDF_PG_NEXT("►"),
    BUT_PDF_PG_PREV("◄"),
    BUT_CROP_IMAGE("Kadruj"),
    BUT_DEL("Usuń"),
    RB_CROP_IMAGE_P1("P1"),
    RB_CROP_IMAGE_P2("P2"),
    CHK_ROTATE_IMG("Obróć"),
    CHK_SCALE_IMG("Skaluj"),
    TXT_IMG_NAME("Nazwa pliku rysunku"),
    MSG_IMG_DEGREES("Obrót rysunku, stopnie:"),
    MSG_IMG_SCALE("Skala rysunku:"),
    MSG_PDF_PAGE_NUMBER("Numer strony PDF:"),
    MSG_CHOOSE_SMALLER_SCALE("Wybierz mniejszą skalę."),
    MSG_CREATE_FIRST_SERIES("Utwórz pierwszą serię [Serie -> Dodaj]"),
    MSG_INTERPOLATION_MERGE_DISCARD("Zakończ interpolację [Interpolacja -> Scal/Odrzuć]"),
    MSG_SELECTION_OUTSIDE_IMAGE("Zaznaczenie musi być wewnątrz rysunku."),
    TIP_T_IMG_FULL_PATH("Pełna ścieżka do pliku rysunku"),
    TIP_TUNE_BUTTONS("Klawiatura");
    private String txt;

    PlPlTImage(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
