 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.lang;

public enum FrFr {

    DATA_SAVED_IN_FILE("Données sauvées dans le fichier :"),
    DATA_SAVED_IN_DIR("Données sauvées dans le répertoire :"),
    CANT_CREATE_DIR("Impossible de créer le répertoire :"),
    DIR_EXISTS("Le répertoire existe !"
    + "\n" + " L'écraser ?"),
    DIR_DOESNT_EXISTS("Le répertoire n'existe pas :"),
    CANT_WRITE_FILE("Impossible d'écrire dans le fichier :"),
    MSG_FILE_EXISTS("Le fichier existe !"
    + "\n" + "L'écraser ?"),
    MSG_ENTER_TEXT("Entrez le texte :"),
    MSG_ENTER_VALUE("Entrez la valeur :");
    private String txt;

    FrFr(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
