 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.save.lang;

public enum FrFrSave {

    SERIES_("série_"),
    SERIES_NAME("Nom de la série :"),
    NUMBER_OF_POINTS("Points :"),
    PLAIN("linéaire"),
    LOG10("log10"),
    TIME("heure"),
    DATE("date"),
    NO_IMAGE("sans image"),
    IMAGE_FILE("Fichier d'image :"),
    COORDINATE_SYSTEM("Système de coordonnées :"),
    CARTESIAN("cartésien"),
    X_AXIS_TYPE("Type d'échelle en X :"),
    Y_AXIS_TYPE("Type d'échelle en Y :"),
    POLAR("polaire"),
    CLOCKWISE("sens horaire"),
    NUMBER_OF_SERIES("Séries :");
    private String txt;

    FrFrSave(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
