 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.save.lang;

public enum PlPlSave {

    SERIES_("seria_"),
    SERIES_NAME("Seria:"),
    NUMBER_OF_POINTS("Punktów:"),
    PLAIN("zwykła"),
    LOG10("log10"),
    TIME("czas"),
    DATE("data"),
    NO_IMAGE("brak rysunku"),
    IMAGE_FILE("Plik rysunku:"),
    COORDINATE_SYSTEM("Współrzędne:"),
    CARTESIAN("kartezjańskie"),
    X_AXIS_TYPE("Skala osi X:"),
    Y_AXIS_TYPE("Skala osi Y:"),
    POLAR("polarne"),
    CLOCKWISE("prawoskrętny"),
    NUMBER_OF_SERIES("Serii:");
    private String txt;

    PlPlSave(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
