 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.axes.lang;

import name.mgplldz.guimy.ctrls.DateFormatEnum;

public enum EnUsMAxes {

    M_AXES("Axes"),
    RB_CARTESIAN("CARTESIAN COORD."),
    RB_POLAR("POLAR COORD."),
    RB_X_NORM("X-axis plain"),
    RB_X_LOG_10("X-axis Log10"),
    RB_X_DATE_HHMMSS("X-axis time ["
    + DateFormatEnum.HHMMSS.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    RB_X_DATE_YYYYMMDD("X-axis date ["
    + DateFormatEnum.YYYYMMDD.getDateFormat().toLocalizedPattern().toUpperCase() + "]"),
    RB_Y_NORM("Y-axis plain"),
    RB_Y_LOG_10("Y-axis Log10"),
    CHK_CLOCKWISE("Clockwise");
    private String txt;

    EnUsMAxes(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
