 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.menu.draw.lang;

public enum EnUsMDraw {

    M_DRAW("Draw"),
    CHK_DRAW_PTS("Points"),
    CHK_DRAW_LINES("Lines"),
    CHK_DRAW_ALL_SERIES("All series"),
    CHK_DRAW_AXES("Axes"),
    CHK_DRAW_IMAGE("Image"),
    IT_PT_SIZE("Point size"),
    IT_LINE_WIDTH("Line width"),
    IT_POINTER_TYPE("Mouse pointer"),
    IT_POINTER_COLOR("Pointer color"),
    MSG_MOUSE_POINTERS("Mouse pointers:"),
    MSG_PT_SIZE("Point size:"),
    MSG_LINE_WIDTH("Line width:"),
    MSG_MOUSE_POINTER_COLOR("Mouse pointer color");
    private String txt;

    EnUsMDraw(String t) {
        txt = t;
    }

    String txt() {
        return txt;
    }
}
