 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image.lang;

public enum EnUsTImage {

    T_IMAGE("Image"),
    BRD_IMG("Image"),
    BRD_SIZE_ROTAT("Size and rotation"),
    BRD_PDF("PDF pages"),
    BRD_TUNE_POINT("Tune point"),
    BUT_FIT_IMG("Fit"),
    BUT_ORIG_SIZE_IMG("Original"),
    BUT_PDF_PG_NEXT("►"),
    BUT_PDF_PG_PREV("◄"),
    BUT_CROP_IMAGE("Crop"),
    BUT_DEL("Del."),
    RB_CROP_IMAGE_P1("P1"),
    RB_CROP_IMAGE_P2("P2"),
    CHK_ROTATE_IMG("Rotate"),
    CHK_SCALE_IMG("Scale"),
    TXT_IMG_NAME("Image name"),
    MSG_IMG_DEGREES("Image rotation, degrees: "),
    MSG_IMG_SCALE("Image scale:"),
    MSG_PDF_PAGE_NUMBER("PDF page number:"),
    MSG_CHOOSE_SMALLER_SCALE("Choose smaller scale."),
    MSG_CREATE_FIRST_SERIES("Create first series [Series -> Add]"),
    MSG_INTERPOLATION_MERGE_DISCARD("Finish interpolation [Interpolation -> Merge/Discard]"),
    MSG_SELECTION_INSIDE_IMAGE("Selection must be inside the image."),
    TIP_T_IMG_FULL_PATH("Image full path"),
    TIP_TUNE_BUTTONS("Keyboard");
    private String txt;

    EnUsTImage(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
