/* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.gui.tab.image.lang;

import name.mgplldz.oood.lang.Lng;

public class LngTImage {

    public static String text(String name) {
        String txt = null;
        try {
            switch (Lng.getLangEnu()) {
                case en_US:
                    txt = EnUsTImage.valueOf(name).text();
                    break;
                case pl_PL:
                    txt = PlPlTImage.valueOf(name).text();
                    break;
                case fr_FR:
                    txt = FrFrTImage.valueOf(name).text();
                    break;
                default:
                    break;
            }
            if (txt == null) {
                txt = EnUsTImage.valueOf(name).text();
            } else if (txt.isEmpty()) {
                txt = EnUsTImage.valueOf(name).text();
            }
        } catch (java.lang.IllegalArgumentException ignore) {
            txt = "???";
        }
        return txt;
    }
}
