 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.lang;

public enum PlPl {

    DATA_SAVED_IN_FILE("Dane zapisano w pliku:"),
    DATA_SAVED_IN_DIR("Dane zapisano w katalogu:"),
    CANT_CREATE_DIR("Nie można utworzyć katalogu:"),
    DIR_EXISTS("Katalog istnieje."
    + "\n" + "Nadpisać?"),
    DIR_DOESNT_EXISTS("Katalog nie istnieje:"),
    CANT_WRITE_FILE("Nie można zapisać pliku:"),
    MSG_FILE_EXISTS("Plik istnieje."
    + "\n" + "Nadpisać?"),
    MSG_ENTER_TEXT("Wprowadź tekst:"),
    MSG_ENTER_VALUE("Wprowadź wartość:");
    private String txt;

    PlPl(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
