 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Copyright 2010, 2011 by:
 *    Marcin Gutman, Laurent Balland-Poirier
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *    Laurent Balland-Poirier: jumbo4444@yahoo.fr
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.oood.save.lang;

public enum EnUsSave {

    SERIES_("series_"),
    SERIES_NAME("Series name:"),
    NUMBER_OF_POINTS("Points:"),
    PLAIN("plain"),
    LOG10("log10"),
    TIME("time"),
    DATE("date"),
    NO_IMAGE("no image"),
    IMAGE_FILE("Image file:"),
    COORDINATE_SYSTEM("Coordinate system:"),
    CARTESIAN("cartesian"),
    X_AXIS_TYPE("X-axis scale type:"),
    Y_AXIS_TYPE("Y-axis scale type:"),
    POLAR("polar"),
    CLOCKWISE("clockwise"),
    NUMBER_OF_SERIES("Series:");
    private String txt;

    EnUsSave(String t) {
        txt = t;
    }

    String text() {
        return txt;
    }
}
